package com.lantone.qc.trans.beilun.util;

import com.google.common.collect.Lists;
import com.google.common.collect.Maps;
import com.lantone.qc.pub.util.StringUtil;

import java.util.List;
import java.util.Map;

/**
 * @Description:
 * @author: HUJING
 * @time: 2020/9/9 11:24
 */
public class BeiLunLeaveHospitalHtmlAnalysis implements BeiLunHtmlAnalysis {

    @Override
    public Map<String, String> analysis(String... args) {
        List<String> titles = Lists.newArrayList("入院日期", "出院日期", "住院天数", "入院诊断", "出院诊断",
                "入院情况", "入院后检查化验结果", "诊疗经过", "出院计划", "病理检查结果", "出院情况", "治疗效果", "出院医嘱", "医师签名", "时间");
        String html = args[0];
        String recTitle = args[1];
        Map<String, String> structureMap = Maps.newLinkedHashMap();
        String htmlContent = CommonAnalysisUtil.html2String(html);
        if (StringUtil.isNotBlank(htmlContent)) {
            htmlContent = htmlContent.replaceAll("[   ]", " ");
            CommonAnalysisUtil.html2StructureMap(titles, htmlContent, structureMap);
        }
        structureMap.put("rec_title=", "183");
        return structureMap;
    }

}